Bug 580317 - Review Request: entangle - Tethered shooting & control of digital cameras
Summary: Review Request: entangle - Tethered shooting & control of digital cameras
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sebastian Dziallas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-07 23:58 UTC by Daniel Berrangé
Modified: 2010-04-18 23:14 UTC (History)
4 users (show)

Fixed In Version: entangle-0.1.0-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-16 23:32:34 UTC
sebastian: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Berrangé 2010-04-07 23:58:55 UTC
Spec URL: http://berrange.fedorapeople.org/review/entangle/entangle.spec
SRPM URL: http://berrange.fedorapeople.org/review/entangle/entangle-0.1.0-1.fc12.src.rpm
Description: 
Entangle is an application which uses GTK and libgphoto2 to provide a
graphical interface for tethered photography with digital cameras.

It includes control over camera shooting and configuration settings
and 'hands off' shooting directly from the controlling computer

Comment 1 Sebastian Dziallas 2010-04-08 13:23:28 UTC
I'll take on this one in a bit.

Comment 2 Sebastian Dziallas 2010-04-08 17:22:38 UTC
Here we go. You might want to look into the licensing thing - besides that, there only minor things, so after that it should be good to go.

[  OK  ] specfiles match: f17ae94c32cca78259ad8310cf048f8b
[  OK  ] source files match upstream: fc8c42d8c20a7f99ee7f02a2df31106d
[  OK  ] package meets naming and versioning guidelines.
[  --  ] spec is properly named, cleanly written, and uses macros consistently.

Do you need %{?extra_release} or can you drop that?

[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  --  ] license field matches the actual license.

I'm not entirely sure on this one, but the licensing guidelines say: "The License: field refers to the licenses of the contents of the binary rpm." However, there seems to be a jquery copy in the final RPM which is apparently "Dual licensed under the MIT and GPL licenses." -- I suppose you might need to add these there.

[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present.
[  OK  ] package builds in mock: http://koji.fedoraproject.org/koji/taskinfo?taskID=2102768
[  --  ] package installs properly.

Warning in file "/usr/share/applications/gnome-nautilus-folder-handler.desktop": usage of MIME type "x-directory/gnome-default-handler" is discouraged ("x-directory" is an old media type that should be replaced with a modern equivalent)
Warning in file "/usr/share/applications/gnome-nautilus-folder-handler.desktop": usage of MIME type "x-directory/normal" is discouraged ("x-directory" is an old media type that should be replaced with a modern equivalent)

[  OK  ] debuginfo package looks complete.
[  --  ] rpmlint is silent:

[sebastian@localhost ~]$ rpmlint entangle-*
entangle.src: W: spelling-error %description -l en_US libgphoto -> telephoto, photogenic, photocell
entangle.i686: W: spelling-error %description -l en_US libgphoto -> telephoto, photogenic, photocell
entangle.i686: W: wrong-file-end-of-line-encoding /usr/share/entangle/website/jquery.fancybox/jquery.fancybox.css
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

[  OK  ] final provides and requires are sane
[  NA  ] %check is present and all tests pass
[  OK  ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  OK  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  NA  ] docs subpackage is appropriately created
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  NA  ] headers go into devel package.
[  NA  ] pkgconfig files are in devel package.
[  OK  ] no libtool .la droppings.
[  OK  ] desktop files valid and installed properly.

Comment 3 Daniel Berrangé 2010-04-09 13:04:37 UTC
I have uploaded a new spec file which simply removes the redundant website content from the RPM. This won't be present in subsequent tar.gz releases anyway, so its pointless including in the RPM now. This removes the jquery bits & thus solves the license question. I also removed the extra_release macro

Comment 4 Sebastian Dziallas 2010-04-09 16:45:58 UTC
This looks good to me! APPROVED.

Make sure to bump the release tag accordingly before importing. Thanks a lot for getting this done, looking forward to it! :)

Comment 5 Daniel Berrangé 2010-04-09 17:01:50 UTC
New Package CVS Request
=======================
Package Name: entangle
Short Description: Tethered shooting & control of digital cameras
Owners: berrange
Branches: F-13
InitialCC:

Comment 6 Kevin Fenzi 2010-04-11 19:21:13 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-04-11 23:23:52 UTC
entangle-0.1.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/entangle-0.1.0-2.fc13

Comment 8 Fedora Update System 2010-04-13 01:59:40 UTC
entangle-0.1.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update entangle'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/entangle-0.1.0-2.fc13

Comment 9 Fedora Update System 2010-04-16 23:32:29 UTC
entangle-0.1.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.